Bug 183372 - java.io.IOException: error=7, Argument list too long
java.io.IOException: error=7, Argument list too long
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Ondrej Vrabec
issues@versioncontrol
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-01 20:48 UTC by Martin Schovanek
Modified: 2010-04-09 04:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.14 KB, text/plain)
2010-04-01 20:48 UTC, Martin Schovanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schovanek 2010-04-01 20:48:19 UTC
Build: NetBeans IDE Dev (Build 201003290201)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.3-b01-101, Java(TM) SE Runtime Environment, 1.6.0_17-b04-248-10M3025
OS: Mac OS X

User Comments:
mschovanek: Commiting a PHP project.




Stacktrace: 
java.io.IOException: error=7, Argument list too long
   at java.lang.UNIXProcess.forkAndExec(UNIXProcess.java:0)
   at java.lang.UNIXProcess.<init>(UNIXProcess.java:53)
   at java.lang.ProcessImpl.start(ProcessImpl.java:91)
   at java.lang.ProcessBuilder.start(ProcessBuilder.java:452)
   at org.netbeans.modules.mercurial.util.HgCommand.exec(HgCommand.java:2878)
   at org.netbeans.modules.mercurial.util.HgCommand.execEnv(HgCommand.java:2830)
Comment 1 Martin Schovanek 2010-04-01 20:48:23 UTC
Created attachment 96560 [details]
stacktrace
Comment 2 Ondrej Vrabec 2010-04-07 10:14:25 UTC
fix: http://hg.netbeans.org/cdev/rev/cc2213aa9dfc
Comment 3 Quality Engineering 2010-04-09 04:38:55 UTC
Integrated into 'main-golden', will be available in build *201004090201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/cc2213aa9dfc
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #183372 - java.io.IOException: error=7, Argument list too long
lowering log level


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo